<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>AnnouncePluginExtension (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AnnouncePluginExtension (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/announce/AnnouncePlugin.html" title="class in org.gradle.api.plugins.announce"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/announce/Announcer.html" title="interface in org.gradle.api.plugins.announce"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/announce/AnnouncePluginExtension.html" target="_top">Frames</a></li>
<li><a href="AnnouncePluginExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins.announce</div>
<h2 title="Class AnnouncePluginExtension" class="title">Class AnnouncePluginExtension</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.announce.AnnouncePluginExtension</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">AnnouncePluginExtension</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block"><p>The extension used by the AnnouncePlugin.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/plugins/announce/AnnouncePluginExtension.html#AnnouncePluginExtension(org.gradle.api.internal.project.ProjectInternal)">AnnouncePluginExtension</a></strong>(org.gradle.api.internal.project.ProjectInternal&nbsp;project)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/announce/AnnouncePluginExtension.html#announce(java.lang.String,%20java.lang.String)">announce</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg,
        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</code>
<div class="block">Sends an announcement of the given type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.gradle.api.plugins.announce.internal.AnnouncerFactory</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/announce/AnnouncePluginExtension.html#getAnnouncerFactory()">getAnnouncerFactory</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/announce/Announcer.html" title="interface in org.gradle.api.plugins.announce">Announcer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/announce/AnnouncePluginExtension.html#getLocal()">getLocal</a></strong>()</code>
<div class="block">Returns an <a href="../../../../../org/gradle/api/plugins/announce/Announcer.html" title="interface in org.gradle.api.plugins.announce"><code>Announcer</code></a> that sends announcements to the local desktop, if a notification mechanism is available.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/announce/AnnouncePluginExtension.html#getPassword()">getPassword</a></strong>()</code>
<div class="block">The password to use for announcements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/announce/AnnouncePluginExtension.html#getUsername()">getUsername</a></strong>()</code>
<div class="block">The username to use for announcements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/announce/AnnouncePluginExtension.html#setAnnouncerFactory(org.gradle.api.plugins.announce.internal.AnnouncerFactory)">setAnnouncerFactory</a></strong>(org.gradle.api.plugins.announce.internal.AnnouncerFactory&nbsp;announcerFactory)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/announce/AnnouncePluginExtension.html#setLocal(org.gradle.api.plugins.announce.Announcer)">setLocal</a></strong>(<a href="../../../../../org/gradle/api/plugins/announce/Announcer.html" title="interface in org.gradle.api.plugins.announce">Announcer</a>&nbsp;localAnnouncer)</code>
<div class="block">Sets the <a href="../../../../../org/gradle/api/plugins/announce/Announcer.html" title="interface in org.gradle.api.plugins.announce"><code>Announcer</code></a> that should be used to send announcements to the local desktop.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/announce/AnnouncePluginExtension.html#setPassword(java.lang.String)">setPassword</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/announce/AnnouncePluginExtension.html#setUsername(java.lang.String)">setUsername</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;username)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AnnouncePluginExtension(org.gradle.api.internal.project.ProjectInternal)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AnnouncePluginExtension</h4>
<pre>public&nbsp;AnnouncePluginExtension(org.gradle.api.internal.project.ProjectInternal&nbsp;project)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getLocal()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocal</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/plugins/announce/Announcer.html" title="interface in org.gradle.api.plugins.announce">Announcer</a>&nbsp;getLocal()</pre>
<div class="block">Returns an <a href="../../../../../org/gradle/api/plugins/announce/Announcer.html" title="interface in org.gradle.api.plugins.announce"><code>Announcer</code></a> that sends announcements to the local desktop, if a notification mechanism is available.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The announcer.</dd></dl>
</li>
</ul>
<a name="setLocal(org.gradle.api.plugins.announce.Announcer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLocal</h4>
<pre>public&nbsp;void&nbsp;setLocal(<a href="../../../../../org/gradle/api/plugins/announce/Announcer.html" title="interface in org.gradle.api.plugins.announce">Announcer</a>&nbsp;localAnnouncer)</pre>
<div class="block">Sets the <a href="../../../../../org/gradle/api/plugins/announce/Announcer.html" title="interface in org.gradle.api.plugins.announce"><code>Announcer</code></a> that should be used to send announcements to the local desktop.</div>
</li>
</ul>
<a name="announce(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>announce</h4>
<pre>public&nbsp;void&nbsp;announce(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg,
            <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</pre>
<div class="block">Sends an announcement of the given type.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>msg</code> - The content of the announcement</dd><dd><code>type</code> - The announcement type.</dd></dl>
</li>
</ul>
<a name="getUsername()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUsername</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUsername()</pre>
<div class="block">The username to use for announcements.</div>
</li>
</ul>
<a name="setUsername(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUsername</h4>
<pre>public&nbsp;void&nbsp;setUsername(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;username)</pre>
</li>
</ul>
<a name="getPassword()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPassword()</pre>
<div class="block">The password to use for announcements.</div>
</li>
</ul>
<a name="setPassword(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre>public&nbsp;void&nbsp;setPassword(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</pre>
</li>
</ul>
<a name="getAnnouncerFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnnouncerFactory</h4>
<pre>public&nbsp;org.gradle.api.plugins.announce.internal.AnnouncerFactory&nbsp;getAnnouncerFactory()</pre>
</li>
</ul>
<a name="setAnnouncerFactory(org.gradle.api.plugins.announce.internal.AnnouncerFactory)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAnnouncerFactory</h4>
<pre>public&nbsp;void&nbsp;setAnnouncerFactory(org.gradle.api.plugins.announce.internal.AnnouncerFactory&nbsp;announcerFactory)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/announce/AnnouncePlugin.html" title="class in org.gradle.api.plugins.announce"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/announce/Announcer.html" title="interface in org.gradle.api.plugins.announce"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/announce/AnnouncePluginExtension.html" target="_top">Frames</a></li>
<li><a href="AnnouncePluginExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
